------------------------------------------------------------
revno: 12598
revision-id: squid3@treenet.co.nz-20130726123207-0vf01jff4twpi1et
parent: squid3@treenet.co.nz-20130726122120-tq8lgc5au5q5tq41
fixes bug(s): http://bugs.squid-cache.org/show_bug.cgi?id=2287
committer: Amos Jeffries <squid3@treenet.co.nz>
branch nick: 3.3
timestamp: Fri 2013-07-26 06:32:07 -0600
message:
  Bug 2287: Better fix for unsupported HTTP version handling
  
  RFC 2616 section 10.5.6 is more specifically about MAJOR versions.
  Remove the criterion limiting 1.x minor version numbers.
------------------------------------------------------------
# Bazaar merge directive format 2 (Bazaar 0.90)
# revision_id: squid3@treenet.co.nz-20130726123207-0vf01jff4twpi1et
# target_branch: http://bzr.squid-cache.org/bzr/squid3/3.3
# testament_sha1: 0f70566fc919130640560bb208df721ed533705c
# timestamp: 2013-07-26 12:35:41 +0000
# source_branch: http://bzr.squid-cache.org/bzr/squid3/3.3
# base_revision_id: squid3@treenet.co.nz-20130726122120-\
#   tq8lgc5au5q5tq41
# 
# Begin patch
=== modified file 'src/client_side.cc'
--- src/client_side.cc	2013-05-07 08:48:36 +0000
+++ src/client_side.cc	2013-07-26 12:32:07 +0000
@@ -2609,10 +2609,9 @@
         goto finish;
     }
 
-    /* RFC 2616 section 10.5.6 : handle unsupported HTTP versions cleanly. */
-    /* We currently only accept 0.9, 1.0, 1.1 */
+    /* RFC 2616 section 10.5.6 : handle unsupported HTTP major versions cleanly. */
+    /* We currently only support 0.9, 1.0, 1.1 properly */
     if ( (http_ver.major == 0 && http_ver.minor != 9) ||
-            (http_ver.major == 1 && http_ver.minor > 1 ) ||
             (http_ver.major > 1) ) {
 
         clientStreamNode *node = context->getClientReplyContext();

